﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Linq;
using System.Windows.Forms;
using DevExpress.XtraEditors;

namespace DotSpatial.Plugins.OverviewMap
{
    public partial class OverviewMapForm : DevExpress.XtraEditors.XtraForm
    {
        const int WM_SYSCOMMAND = 0x0112;
        const long SC_MOVE = 0xF010L;

        public OverviewMapForm()
        {
            InitializeComponent();
        }

        protected override void WndProc(ref Message msg)
        {
            if (msg.Msg == WM_SYSCOMMAND && (msg.WParam.ToInt64() & 0xFFF0L) == SC_MOVE)
            {
                msg.Result = IntPtr.Zero;
                return;
            }
            base.WndProc(ref msg);
        }
    }
}